Create 'kartotherian' role in mediawiki-vagrant
Closed, ResolvedPublic

Description

The role needs to

  • Install the 'kartotherian' service
  • Configure the kartographer extension to use the local kartotherian service instead of maps.wikimedia.org
SBisson created this task.Feb 14 2018, 7:45 PM
Restricted Application added a project: Maps. · View Herald TranscriptFeb 14 2018, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 14 2018, 7:45 PM

Change 409425 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/vagrant@master] [WIP] kartotherian role

https://gerrit.wikimedia.org/r/409425

jmatazzoni triaged this task as High priority.Feb 26 2018, 11:55 PM

@Catrope, @Mooeypoo Given that mw-vagrant has become almost unusable for many of us, I'm wondering what to do with this task. It sits in group 1 so I'm eager to see it resolved, one way or another. Here's the options I can think of, let me know what you think:

  1. Close it as declined since we haven't used, and don't plan on using, mw-vagrant for kartotherian/tilerator development.
  2. Leave it open for future consideration but remove it from our goals
  3. Publish a simple version of the kartotherian role (already functional in the patch, some clean up needed) and close it as resolved
  4. Keep working on a complete version of the role with all dependencies, cassadra, postgres, loading of data, etc

I think #3 is best, despite its limitations. We would have to clearly document those limitations though.

Change 432129 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/vagrant@master] Basic version of kartotherian role

https://gerrit.wikimedia.org/r/432129

Change 432129 merged by jenkins-bot:
[mediawiki/vagrant@master] Basic version of kartotherian role

https://gerrit.wikimedia.org/r/432129

Etonkovidova closed this task as Resolved.Jun 29 2018, 10:05 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked locally - fetching/rendering maps and lang attribute look fine.

Change 409425 abandoned by Sbisson:
[WIP] kartotherian role

Reason:
Can be restored if someone wants to pursue it.

https://gerrit.wikimedia.org/r/409425